import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/inventory',
    method: 'post',
    data
  })
}

export function knywInventory(data) {
  return request({
    url: 'api/inventory/knywInventory',
    method: 'post',
    data
  })
}
//修改占用数
export function updateInvQueuedQty(data) {
  return request({
    url: 'api/inventory/updateInvQueuedQty',
    method: 'post',
    data
  })
}

//制造入库
export function zzrkInv(data) {
  return request({
    url: 'api/inventory/zzrkInv',
    method: 'post',
    data
  })
}


//箱单移位
export function xdMoveInv(data) {
  return request({
    url: 'api/inventory/xdMoveInv',
    method: 'post',
    data
  })
}


export function del(ids) {
  return request({
    url: 'api/inventory/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/inventory',
    method: 'put',
    data
  })
}

export function downloadXb(data) {
  return request({
    url: 'api/inventory/downloadXb',
    method: 'post',
    data
  })
}

export function queryPickDetailXd(id) {
  return request({
    url: 'api/inventory/queryPickDetailXd?pickDetailId='+id ,
    method: 'get'
  })
}

export default { add, edit, del,knywInventory,downloadXb,queryPickDetailXd,zzrkInv}
